Configure Apache Proxy
Configure Apache Reverse Proxy
Configures Apache reverse proxy rules for Cloud HCX Manager. This sets up URI-to-backend forwarding rules for public internet access through cloud provider infrastructure.
Request
URI
POST
https://{server}:9443/system/apache/proxyConfig
COPY
Request Body
SystemApacheProxyConfigPostRequestBody
of type(s)
application/json
Required
Show optional properties
{
"data": {
"items": [
{
"uriType": "string",
"forwardUrl": "string"
}
]
}
}
{
"data": {
"items": [
{
"uriType": "string",
"forwardUrl": "string",
"viaProxy": "string"
}
]
}
}
object
data
Required
data
Authentication
This operation uses the following authentication methods.
Responses
200
Apache proxy configured successfully
Returns
SystemApacheProxyConfigGetResponse200
of type(s)
application/json
{
"data": {
"items": [
{
"uriType": "string",
"uri": "string",
"forwardUrl": "string",
"viaProxy": "string"
}
]
}
}
object
data
Required
data
400
Bad request - invalid Apache proxy configuration
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
500
Internal server error while configuring Apache proxy
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"data":"object"}' https://{api_host}/system/apache/proxyConfig
Deprecated
System Configuration Operations
GET
Get Nsp Configuration
Deprecated
POST
Create Nsp Configuration
Deprecated
PUT
Update Nsp Configuration
Deprecated
GET
Get Static Routes
PUT
Configure Static Route
GET
Get Network Settings
PUT
Configure Dns Settings
DELETE
Remove Dns Settings
GET
Get Time Settings
PUT
Configure Time Settings
DELETE
Remove Ntp Settings
PUT
Change Appliance Password
GET
Get Apache Proxy Configuration
Deprecated
POST
Configure Apache Proxy
Deprecated